Subject: [bug#55242] [PATCH 07/10] guix: import: go: More resilience wrt network errors; add logging.

From: Maxime Devos <[email-masked]>
Date: Mon, 09 May 2022 22:08:11 +0200

Attila Lendvai schreef op ma 09-05-2022 om 20:02 [+0000]:
> note that this patch does not just catch errors, but handles them by emitting useful information about them, and continues only after that.

I think such errors are easily overlooked, but yes, and I don't have
any actual data on that.

> i consider silently swallowing errors a major sin (read: code that will certainly eat up some portion of someone's life in the future).
> 
> the only place where this patch silently swallows errors is in the extraction of descriprions and such, i.e. data that the user must review anyway.
> [...]

I think I've overstated the ‘swallows errors etc.’ a bit, given that
if "guix import go --recursive <foo>" skips a package <bar>, then the
user will have to package its dependency <bar> anyway, and for that
the user could first try "guix import go <bar>" (reporting errors on
bug-guix@ or #guix) before fixing/extending the importer or doing
things manually.

Greetings,
Maxime.